<?php
/*
 CLASE PARA LA GESTION DE ASIGNATURAS
*/
require_once "db.class.php";

class asignatura extends database {

/* REALIZA UNA CONSULTA A LA BASE DE DATOS EN BUSCA DE  REGISTROS DE ASIGNATURAS
		 OUTPUT:
		 $data | Array con los registros obtenidos, si no existen datos, su valor es una cadena vacia
	 */
        function asignatura(){}


        //----------------------------------
        function total_reg()
	{
	   //conexion a la base de datos
	   $this->conectar(); $this->consulta("set names 'utf8'");
           $query = $this->consulta("select * from catalogo");

           return ($this->numero_de_filas($query));
           $this->disconnect();

	}

        //---------------------------------

	function asignaturass($inicio)
	{
                $data=array();
		//conexion a la base de datos
		$this->conectar();

                //se llenan los datos en un array

                 $query = $this->consulta("select * from catalogo order by orden limit ".$inicio.",10");

		 while ( $tsArray = $this->fetch_assoc($query) ){
				$data[] = $tsArray;
                 }

                 return $data;

                $this->disconnect();
	}

}

?>
